echo off
:start
REM ******** S T A R T   O F   B A T C H   F I L E ****************
cls
echo.
echo                           ͻ
echo                                      PAWS            
echo                                  version 2.7         
echo                           ͼ
echo                             Demonstration Batch file
if not exist paws.exe goto no-paws
echo.
echo.
echo.
echo.
echo                                Why just use this:
pause
echo.
echo.
echo.
echo                              When you can have this:
echo.
echo.
echo.
echo.
paws /W10 /c13 /b15 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
paws Good $N, welcome to PAWS!/W30 /C30 /B30 /T20 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo             ͻ
echo                  This batch file will demonstrate several modes   
echo               of PAWS.  Of course, to show all the ways PAWS can  
echo               be used would take hours, for PAWS is only limited  
echo                              by your imagination.                 
echo             ͼ
echo.
echo.
paws /W15 /i /c15/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                      ͻ
echo                         PAWS has 2 basic display modes    
echo                      ͼ
echo.
echo.
echo.
echo.
paws On a line all by itself...Press any key for the other mode /i/c-1/b-1
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws or in a WINDOW!...Press any key to continue /W-1 /i /c-1/b-1
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                            PAWS can be made to scroll      
echo                              (which is the default)        
echo                     ͼ
echo.
echo.
echo.
paws /i /c14 /b15
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo                           ͻ
echo                                  in a window      
echo                           ͼ
echo.
echo.
echo.
paws /i /w11 /c14 /b15
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                             Or you can make PAWS           
echo                                   pause!                   
echo                     ͼ
echo.
echo.
echo.
paws /i /c14 /b15 /p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo                           ͻ
echo                                  in a window      
echo                           ͼ
echo.
echo.
echo.
paws /i /w11 /c14 /b15 /p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                             PAWS can scroll on a line      
echo                               of dots (the default)        
echo                     ͼ
echo.
echo.
echo.
paws /i /c14 /b15
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                           Or PAWS can be all by itself     
echo                     ͼ
echo.
echo.
echo.
paws /i /c14 /b-2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo                           ͻ
echo                                  in a window      
echo                           ͼ
echo.
echo.
echo.
paws /i /w11 /c14 /b-2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo                           ͻ
echo                                   or paused       
echo                           ͼ
echo.
echo.
echo.
paws /i /w11 /c14 /b-2/p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                    ͻ
echo                     PAWS can have any character for the dots 
echo                    ͼ
echo.
echo.
echo.
paws /i /c11 /Y$ /b12
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws /i /c11 /Y* /b13
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws /i /c11 /Y@ /b14
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws /i /c11 /Y015 /b15
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                  ͻ
echo                      If you use a window, and make the dots     
echo                     ACSII character 205 or 196, the lines will  
echo                      be automatically joined to the window.     
echo                  ͼ
echo.
echo.
echo.
paws /i /c11 /Y205 /w10 /b10
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws /i /c11 /Y196 /w11 /b11
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                  ͻ
echo                     PAWS can be placed anywhere on the screen   
echo                  ͼ
paws /i I am over on the left side /l10,0/w10/c15/b2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i I am over on the right side /q/l5,80/w11/c14/b3
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                  ͻ
echo                    PAWS has 16 different standard border types  
echo                         They are all listed in PAWSDOC.COM      
echo                                                                 
echo                          Here is a small sample of a few        
echo                                      borders                    
echo                  ͼ
echo.
echo.
echo.
echo.
paws This is type 1 /w10 /c15 /b7 /o1/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws This is type 6 /w11 /c14 /b10 /o6/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws This is type 11 /w13 /c10 /b14 /o11/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws This is type 16 (The Default) /w15 /c14 /b15/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                    ͻ
echo                      You can also specify ANY character  
echo                     for the border.  Here are some ideas 
echo                    ͼ
echo.
echo.
echo.
echo.
paws You can use a dollar sign/o0$/w10/i/b15/c14
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws You can use smiles /o0/w13/c10/b13/i/y
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Graphic Characters can also be used /o0/w12/c15/b-2/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Here's another graphic symbol /o0/w11/c13/b11/i/Y015
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Diamonds look nice? /o0/w11/c13/b3/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                    ͻ
echo                     and PAWS can display in a block of color 
echo                    ͼ
echo.
echo.
echo.
paws /i /o /y219 /w63 /c63 /b51
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws /i /o /y219 /w27 /c27 /b17 Very Modern Looking...Actually
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                            PAWS can also have a shadow     
echo                                  for its window            
echo                     ͼ
echo.
paws /i /w10 /c11 /b7 /z119 You can make the shadow any color you want
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /o /y219 /c31 /z51 /b17 /w17
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /o /y219 /c42 /z85 /b34 /w34
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                     ͻ
echo                            PAWS will also make noise       
echo                      NOTE:  Let the cycle run through once 
echo                              before pressing a key         
echo                     ͼ
echo.
paws I Can use any tone you want /s1000 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws Here is a lower one /s100 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
echo.
paws Here is middle "C" /s524 /W11 /i/c15/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
if not exist alarm.paw goto nosound
cls
echo                     ͻ
echo                          PAWS can also emit continuous     
echo                        sound as an alert to press a key    
echo                     ͼ
echo.
paws Do you hear the alarm? -- press any key /w14 /c10 /jalarm.paw
:nosound
cls
echo                         ͻ
echo                            PAWS can also be in color  
echo                             256 colors are available  
echo                         ͼ
echo.
paws Press any key to see my color chart! /s2000 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /c? /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws Press any key to continue the DEMO! /c15 /i /p /b-2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo.
echo               ͻ
echo                  PAWS can also read your current screen attributes  
echo                            and use them for its colors!             
echo               ͼ
echo.
echo.
echo.
paws /w-1/c-1/b-1I am using your screen attributes for my colors...WOW!/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
:less
cls
echo                      ͻ
echo                       If you don't want your batch files 
echo                                to wait forever,          
echo                           You can set PAWS to TIMEOUT    
echo                              don't press any key,        
echo                       wait 10 seconds for PAWS to TimeOut
echo                      ͼ
echo.
echo.
paws Wait for me to Timeout /T10 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
if errorlevel 1 goto more
goto less
:more
paws /w144 /i/c15/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo              ͻ
echo                  PAWS can act like an enhanced ECHO command     
echo              ͼ
paws /i /l4,2/c14 /b-2 I/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l5,6/c15/b-2 can /m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l6,10/c9/b-2 display/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l7,14/c10/b-2 messages/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l8,18/c11/b-2 without/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l9,22/c140/b-2/w10* W A I T I N G */m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l12,31/c13/b-2for/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l13,35/c2/b-2a/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l14,39/c3/b-2key/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l15,43/c4/b-2to/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l16,47/c5/b-2be/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l17,51/c6/b-2pressed/m
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /i /l19,55/c30/b30/w30/q
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo             ͻ
echo                  PAWS can be used in a batch file menu system     
echo             ͼ
:menu
echo.
echo.
echo.
echo                            Ŀ
echo                             M A I N   M E N U 
echo                   ͻ
echo                            A...Word Processing         
echo                            B...Spread Sheet            
echo                            C...Games                   
echo                            D...Quit                    
echo                   ͼ
echo.
echo.
:again
paws Enter Your Choice: (A,B,C or D) /Kabcd /i /p/c10 /b-2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 68 goto quit
if errorlevel 67 goto games
if errorlevel 66 goto spread
if errorlevel 65 goto word
if errorlevel 3 goto MSabort
goto again
:word
cls
echo.
echo                     You are in the Word Processing Section
echo.
echo              O P E N I N G   M E N U ͻ
echo               D open a document         L change drive/directory  
echo               S speed write (new file)  C protect/unprotect file  
echo               N open a nondocument      E rename a file           
echo               P print a file            O copy a file             
echo               M merge print a file      Y delete a file           
echo               I index a document        F turn directory off      
echo               T table of contents     Esc shorthand               
echo               X exit word processor     R run a DOS command       
echo               J help                    A additional              
echo             ͼ
echo             DIRECTORY of Drive c:\WP  17M free
echo             ..              \      PAWSDOC.COM        PAWSDEMO.BAT
echo             PAWS.EXE    MAIL.ME
echo.
echo                     We don't have any time to play around here
echo                     We must get on with the demonstration of
echo                                  P A W S
echo.
echo.
goto return
:spread
cls
echo                      You are in the Spread Sheet Section
echo         A       B       C       D       E       F       G   
echo     --------------------------------------------------------
echo     1                                                       
echo     --------------------------------------------------------
echo     2        Since   this     is       a                    
echo     --------------------------------------------------------
echo     3                        demon- stration  of            
echo     --------------------------------------------------------
echo     4                   P      A       W       S            
echo     --------------------------------------------------------
echo     5         and    since   nobody   can    decide         
echo     --------------------------------------------------------
echo     6         what    the     best  spread-  sheet          
echo     --------------------------------------------------------
echo     7          is     ...      I      made    my            
echo     --------------------------------------------------------
echo     8          own     !             (like   it?)           
echo     --------------------------------------------------------
echo     9                                                       
echo     ----------------------------------------------------------------
echo.
goto return
:games
cls
echo.
echo                        You are in the games section
echo.
echo                                              B O O M !
echo                 ___                            \/
echo                /ooo\                ----
echo             __/_____\____                      /\
echo            /           ==\
echo            \_____________/
echo             OOOOOOOOOOOOO
echo.
echo                        Wait!  What are you doing?
echo                        You're supposed to be watching a
echo                        demonstration of PAWS!
echo.
echo                           STOP PLAYING GAMES!
echo.
echo.
echo.
goto return
echo If you see this message, An error has occured...SORRY!
:return
paws /i/c10/b-2/pPress any key to return to the Main Menu
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
goto menu
:quit
cls
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo                     I wish to thank you for participating
echo                     in the Menu Section of the
echo                     P A W S   D E M O N S T R A T I O N
echo                     I will now return you to the rest of
echo                     the show...Sit back, relax and remember...
echo.
echo.
echo               ͻ
echo                   PAWS is the ultimate DOS Pause replacement!    
echo               ͼ
echo.
echo.
echo.
paws /W140 /i/c15/b2Press any key to get on with the show/p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo               ͻ
echo                    PAWS can also be the center of attraction     
echo               ͼ
echo.
echo.
paws Press any key to see me in the middle /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /X0 /W40 /c14 /i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo          ͻ
echo            PAWS can be told to remember what the screen looked like 
echo          ͼ
echo.
dir /w
echo.
paws /i/c14/b-2/p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /X1 /W15 /C13 /i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
echo                 ͻ
echo                           See, Just as you left it             
echo                 ͼ
echo.
echo.
echo.
paws /i/c9/b15
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                   ͻ
echo                     PAWS can also handle very long lines.    
echo                     PAWS will only display 70 characters on  
echo                     on the screen if a window is used, and   
echo                     72 characters if no window is used.      
echo                     With strings longer than 70 or 72        
echo                     characters, the whole message will not   
echo                     be displayed at once, but it will all    
echo                           eventually be displayed.           
echo                   ͼ
echo.
echo.
echo.
echo.
paws Now is the time [$U] for all good computers to demonstrate PAWS to the best of their circuit's ability /W10 /C14/i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                   ͻ
echo                      You can specify the "GAP" between the   
echo                     end of the line and the beginning of the 
echo                                  next cycle                  
echo                   ͼ
echo.
echo.
echo.
echo.
paws I have a "GAP" of 3 /W15 /C12/i/b15 /g3
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws I have a "GAP" of 0 /W15 /C12/i/b15 /g0
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
echo.
paws I have a "GAP" of 25 -- A very long GAP/W15 /C12/i/b15 /g25
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                   ͻ
echo                     PAWS Can also tell the time, date, DOS   
echo                     version, current drive, current path,    
echo                     the day and the contents of any          
echo                             environment variable.            
echo                   ͼ
echo.
echo.
echo.
paws The Time is $T...Press any key /W46 /C10 /B10/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws The Time is $U /w10 /c15 /b14 /p /t120/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Your DOS version is $v /W31 /C31 /B31/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws It is day number $y of this year! /w46 /c11 /b11 /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws It is now $U /W30 /C31 /B31/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Another way of looking at it is $V$f /W30 /C31 /B31/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws Today is $V$W or $V$W/W95 /C94 /B94/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws The current Directory is $p /W75 /C75 /B75/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws The current drive is $n: /W10 /C15/i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
REM It is necessary, in  batch file, to put 2 percent signs to get one printed
paws Drive $n: has $FB bytes, $FC clusters, $FK KBytes, $FM MBytes, or $FP%% of its total space free/w11 /c10 /b15/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
REM You must use $%%env%% in a batch file, $%env% on the command line
paws Your PATH is $%%path%% /W11 /C14/i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo               ͻ
echo                 You can stack many system variables in one prompt 
echo               ͼ
echo.
echo.
echo.
echo.
paws The current drive is $n:, The current directory is $p, Your path is $%%path%% /W14 /C10/i/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                ͻ
echo                  PAWS can also read the PAWS environment variable
echo                  and get command line parameters from it.  Your  
echo                  current environment is displayed below.         
echo                ͼ
set
paws /C14 /i/b-2/p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                ͻ
echo                 By setting:                                      
echo                  "PAWS=I am reading PAWS /W40/C40/B40/S2000"     
echo                 I don't need to put anything on the command line.
echo                ͼ
echo.
echo.
echo.
REM Save the contents of any existing PAWs variable
set oldpaws=%paws%
REM Set the new PAWS variable
set paws=I am reading PAWS/w155/c31/b26/s2000
set
echo.
echo.
REM Please notice that the following line has no parameters, however,
REM A window is created and colors and sound are used.  All the information
REM for the options are stored in the Environment Variable PAWS!
paws
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
REM Reset the old PAWS variable
set paws=%oldpaws%
REM erase my temporary variable
set oldpaws=
:ccc
cls
echo.
echo                ͻ
echo                  Normally when running a batch file, a user can  
echo                         press Control-C and  the message         
echo                           "Terminate batch job (Y/N)?"           
echo                    will appear and the user has the option of    
echo                     aborting the batch file execution or not.    
echo                     PAWS, intercepts the Control-C interrupt,    
echo                   clears the screen, presents a window telling   
echo                   you that it detected the Control-C and exits.  
echo                  PAWS does not pass the Control-C to your batch  
echo                   file (the /A switch overrides this), so that   
echo                         your batch file will continue.           
echo                         Try it now...press Control-C             
echo                ͼ
echo.
echo.
echo.
echo.
echo.
echo.
echo.
paws /c91 /w93 /b92 /k~ Press Control-C and watch me exit, yet save the batch file /p/i
if errorlevel 201 goto winerr
if errorlevel 200 goto presson
if errorlevel 126 goto ccc
if errorlevel 3 goto MSabort
:presson
paws /w46/b43   /c47 A nice clean exit without disturbing the batch file! Press any key to continue with the DEMO!/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
echo                ͻ
echo                     Finally, I know that some of you are not     
echo                    registering because you just  love the OLD    
echo                   BORING version of PAUSE that comes with DOS!   
echo                  Now, PAWS can act just like DOS's PAUSE if you  
echo                 want. You now have no excuse for not registering 
echo                ͼ
echo.
echo.
echo.
REM Here it is, DOS has met its match!
paws /dos/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
cls
if not exist paws.doc goto no-doc
echo                ͻ
echo                  Would You like to print the PAWS Documentation?  
echo                ͼ
echo.
echo.
echo.
paws Please press Y or N /W11 /C14 /Kyn/i /o11/p/b-2
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 89 goto read-doc
if errorlevel 78 goto no-doc
if errorlevel 3 goto MSabort
goto no-doc
:read-doc
copy paws.doc prn
:no-doc
if not exist mail.me goto finish
cls
echo.
echo.
echo.
echo.
echo                   ͻ
echo                      To Register PAWS (only $15.00), your   
echo                     printer can do all the work.  Just fill 
echo                     in the printed form and mail!  It that  
echo                     simple.  Of course, putting $15.00 in   
echo                     the form before mailing would be nice.  
echo                   ͼ
echo.
echo.
echo.
echo.
echo.
paws /c11 /b-2Do you wish to print out the registration form? [Y or N]/kyn/i/p
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 89 goto printit
if errorlevel 78 goto finish
if errorlevel 3 goto MSabort
:printit
copy mail.me prn
:finish
cls
echo                   ͻ
echo                     This concludes the PAWS batch file Demo  
echo                   ͼ
echo.
echo.
echo.
paws /c13 /i /w10 /o1/b7
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
paws /v /i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 3 goto MSabort
goto end
:no-paws
echo.
echo.
echo.
echo                   ͻ
echo                      This demonstration requires PAWS.EXE    
echo                          to be in the current directory      
echo                            Please correct and retry          
echo                   ͼ
goto end
:cc
echo                   You have pressed Control-C right in the middle
echo                   of my demonstration...WHY?
echo.
echo                   I know that this demonstration is for your benefit,
echo                   so I will give you a second chance.  Do you wish
echo                   to exit the batch file or re-start it?
echo.
paws /c10 /b-2 Press [E] to exit, or [R] to re-start the batch file /kER/p/i
if errorlevel 201 goto winerr
if errorlevel 200 goto cc
if errorlevel 82 goto start
if errorlevel 69 goto finish
if errorlevel 3 goto MSabort
goto cc
REM 
REM    F A T A L   E R R O R S   
REM 
:winerr
cls
echo 
echo.
echo.
echo.
echo.
echo.
echo                   ************* B U M M E R *************
echo                   A PAWS Fatal Error occured...A window should
echo                   have been displayed explaining what this error
echo                   was and why it happened...
echo.
echo                   I have tried to debug this demo completely, but
echo                   something has gone wrong...SORRY
goto end
:MSabort
cls
echo 
echo.
echo.
echo.
echo.
echo.
echo                   An abonormal program termination has occured
echo                   within PAWS.  Perhaps you have a corrupt copy
echo                   of PAWS and need to re-download another copy.
echo                   If this error is repeatable and persists,
echo                   notify me, along with your system setup.
goto end
:end
REM Thank you for viewing the PAWS Demonstration Batch File
REM Created by:
REM     Michael L. Wilson
REM
REM           ͻ
REM             Call:                                   
REM                COMPUFAX COMPUTER SYSTEMS            
REM             for all your computer consulting needs  
REM                                                     
REM             1840 41st Avenue                        
REM             Suite 102-124                           
REM             Capitola, CA  95010                     
REM             (408) 479-7702                          
REM             Michael Wilson - President              
REM           ͼ
REM
REM 
REM  E N D   O F   B A T C H   F I L E 
REM 

